.#{$namespace}-list
  list-style: none
  > li
    a, > div
      display: flex
      padding-top: .75rem
      padding-bottom: .75rem
      padding-left: 1rem
      padding-right: 1rem
      position: relative
      transition: $speed
      text-decoration: none
      border-bottom: 1px solid rgba(0,0,0,.12)

      &:hover
        background-color: rgba(0,0,0,.05)

    &:last-child
      a, > div
        border-bottom: none

  &.is-light
    a
      color: $text !important

  &.is-dark
    a
      color: white

  &.is-underlined
    a
      text-decoration: underline

  &.is-inline
    li
      display: inline-flex

      a
        display: block
        padding-left: .5rem
        padding-right: .5rem
        padding-top: 0
        padding-bottom: 0

        &:hover
          background-color: transparent

        &:after
          content: ''
          position: absolute
          right: 0
          top: .25rem
          bottom: .25rem
          width: 1px
          background-color: rgba(white, .4)

      &:first-child
        a
          padding-left: 0

      &:last-child
        a
          border-right: none
          padding-right: 0
          &:after
            content: none
